<?php
 
function wp_burakisci_menu() {
    // Üstü Menü Özellikleri:
        add_menu_page(__('Burakisci V2','burakisci'), __('Burakisci V2','burakisci'), 6, basename(__FILE__) , 'wp_burakisci_admin', get_bloginfo('template_url').'/images/adminpaneli.png');
    // Alt menü özellikleri:
        add_submenu_page(basename(__FILE__), __('Burakisci V2 Ayarlar','burakisci'),  __('Burakisci V2 Ayarlar','burakisci') , 6, basename(__FILE__) , 'wp_burakisci_admin');
}
add_action('admin_menu', 'wp_burakisci_menu');
 
$burakisci_options = (
    array(
 		array(__('Tema Temel Ayarları','burakisci'), array(
            array('renksecim', __('','burakisci'), __('Tema Rengi:','burakisci'),'Temanızın rengini değiştirmek isterseniz tırnak işaretleri arasında ki renklerden birini yazıldığı şekilde kutucuğa yazınız.<strong>"turuncu,pembe,kirmizi,yesil,".</strong>Varsayılan renge (MAVİ) dönmek için kutucuğu boş bırakın!',''),
            )
        ),
        array(__('Üst Kısım Tema Ayarları','burakisci'), array(
            array('logo', __('','burakisci'), __('Logo Adresiniz:','burakisci'),'"http://" kullanınız!',''),
            array('ustreklamresim', __('','burakisci'), __('Üst Alan Reklam Resim Linki:','burakisci'),'"http://" kullanınız!',''),
            array('ustreklamlink', __('','burakisci'), __('Üst Alan Reklam Linki:','burakisci'),'"http://" kullanınız!','burakisci'),
			array('favicon', __('','burakisciv1'), __('Favicon Adresiniz:','burakisciv1'),'"http://" kullanınız!',''),

            )
        ),
        array(__('Sosyal Ağ Bölümü','burakisci'), array(
                        array('linkedin', __ ('','burakisciv1'), __ ('LinkedIn Linkiniz:','burakisciv1'),'"http://" kullanınız!','burakisciv1'),
			array('facebook', __('','burakisciv1'), __('Facebook Linkiniz:','burakisciv1'),'"http://" kullanınız!','burakisciv1'),
            array('twitter', __('','burakisciv1'), __('Twitter Linkiniz:','burakisciv1'),'"http://" kullanınız!',''),
            )
			
        ),
		array(__('Reklam Alanları','burakisciv1'), array(
            array('reklam1_link', __(' '), __('1. Reklam Kutusu Link:','burakisciv1'),'"http://" kullanınız!',''),
			array('reklam1_link_title', __('','burakisciv1'), __('1. Reklam Kutusu Link Açıklaması','burakisciv1'),'','burakisciv1'),
			array('reklam1_img', __(' '), __('1. Reklam Kutusu Resim Linki:','burakisciv1'),'"http://" kullanınız!(Resim boyutu otomatikmen 125x125 pixel olarak ayarlanacaktır.',''),
			array('reklam1_img_alt', __('','burakisciv1'), __('1. Reklam Kutusu Resim ALT Etiketi:','burakisciv1'),'','burakisciv1'),
			array('reklam2_link', __(' '), __('2. Reklam Kutusu Link:','burakisciv1'),'"http://" kullanınız!',''),
			array('reklam2_link_title', __('','burakisciv1'), __('2. Reklam Kutusu Link Açıklaması','burakisciv1'),'','burakisciv1'),
			array('reklam2_img', __(' '), __('2. Reklam Kutusu Resim Linki:','burakisciv1'),'"http://" kullanınız!(Resim boyutu otomatikmen 125x125 pixel olarak ayarlanacaktır.',''),
			array('reklam2_img_alt', __('','burakisciv1'), __('2. Reklam Kutusu Resim ALT Etiketi:','burakisciv1'),'','burakisciv1'),
			array('reklam3_link', __(' '), __('3. Reklam Kutusu Link:','burakisciv1'),'"http://" kullanınız!',''),
			array('reklam3_link_title', __('','burakisciv1'), __('3. Reklam Kutusu Link Açıklaması','burakisciv1'),'','burakisciv1'),
			array('reklam3_img', __(' '), __('3. Reklam Kutusu Resim Linki:','burakisciv1'),'"http://" kullanınız!(Resim boyutu otomatikmen 125x125 pixel olarak ayarlanacaktır.',''),
			array('reklam3_img_alt', __('','burakisciv1'), __('3. Reklam Kutusu Resim ALT Etiketi:','burakisciv1'),'','burakisciv1'),
            array('reklam4_link', __(' '), __('4. Reklam Kutusu Link:','burakisciv1'),'"http://" kullanınız!',''),
			array('reklam4_link_title', __('','burakisciv1'), __('4. Reklam Kutusu Link Açıklaması','burakisciv1'),'','burakisciv1'),
			array('reklam4_img', __(' '), __('4. Reklam Kutusu Resim Linki:','burakisciv1'),'"http://" kullanınız!(Resim boyutu otomatikmen 125x125 pixel olarak ayarlanacaktır.',''),
			array('reklam4_img_alt', __('','burakisciv1'), __('4. Reklam Kutusu Resim ALT Etiketi:','burakisciv1'),'','burakisciv1'),

            )
        ),
		array(__('Diğer Kısımlar','burakisciv1'), array(
            array('telifhaklari', __(' '), __('Altkısımda telif hakları yazısı:','burakisciv1'),'',''),
			array('konuicireklamresim', __('','burakisciv1'), __('Konu İçi Reklam Resim Adresi:','burakisciv1'),'"http://" kullanınız!',''),
			array('konuicireklamlink', __('','burakisciv1'), __('Konu İçi Reklam Linki:','burakisciv1'),'"http://" kullanınız!',''),
			

            )
        )
    )
);
 
foreach($burakisci_options as $section) {
    foreach($section[1] as $option) {
        add_option($option[0], $option[1]);
    }
}
 
function wp_burakisci_admin_css() {
    ?>
 
    <?php
}
add_action('admin_head', 'wp_burakisci_admin_css');
 
function wp_burakisci_admin() {
 
    global $burakisci_options;
 
    if ($_POST['save_burakisci_options']) {
 
        foreach($burakisci_options as $section) {
            foreach($section[1] as $option) {
                update_option($option[0],stripslashes($_POST[$option[0]]));
            }
        }
 
        /* Başarılı */
        echo '<div id="message" class="updated fade"><p><strong>'.__('Ayarlarınız çok sexi biçimde kaydedildi :)','burakisci').'</strong></p></div>';
    }
    ?>
 
    <div class="wrap">
        <h2><?php _e('Burakisci V2 Wordpress Teması Yönetim Paneli', 'burakisci'); ?></h2>
        <form method="post" action="admin.php?page=adminpaneli.php" id="burakisci_form">
            <?php
            foreach($burakisci_options as $section) {
                echo '<h3>'.$section[0].'</h3><div class="burakisci_section"><table cellspacing="0" cellpadding="0" class="form-table">';
                foreach($section[1] as $option) {
                    echo '<tr valign="top">';
 
                    echo '<th><label for="'.$option[0].'">'.$option[2].'</label></th><td>';
 
                    if ($option[4]=='yesno') {
                        $mavi = '';
                        $turuncu = '';
						$pembe = '';
						$kirmizi = '';
						$yesil = '';
                        if (get_option($option[0])=='Mavi') $yes='selected="selected"'; else $no='selected="selected"';
                        echo '<select name="'.$option[0].'">
                            <option value="Mavi" '.$mavi.'>'.__('Mavi (Varsayılan)','burakisci').'</option>
                            <option value="Turuncu" '.$turuncu.'>'.__('Turuncu','burakisci').'</option>
							<option value="Pembe" '.$pembe.'>'.__('Pembe','burakisci').'</option>
							<option value="Kırmızı" '.$kirmizi.'>'.__('Kırmızı','burakisci').'</option>
							<option value="Yeşil" '.$yesil.'>'.__('Yeşil','burakisci').'</option>
                        </select>';
                    } elseif ($option[4]=='textarea') {
                        echo '<textarea id="'.$option[0].'" name="'.$option[0].'" cols="40" rows="4">'.get_option($option[0]).'</textarea>';
                    } elseif ($option[4]=='select_options') {
                        $selected = '';
                        echo '<select name="'.$option[0].'">';
 
                        $names = explode('|', $option[5]);
                        $values = explode('|', $option[6]);
                        $selected = get_option($option[0]);
 
                        $loop = 0;
 
                        if ($names) {
                            foreach ($names as $name) {
 
                                echo '<option value="'.$values[$loop].'" ';
 
                                if ($selected==$values[$loop]) echo 'selected="selected"';
 
                                echo '>'.$name.'</option>';
 
                                $loop++;
                            }
                        }
                        echo '</select>';
                    } else {
                        echo '<input type="text" id="'.$option[0].'" name="'.$option[0].'" size="50" value="'.get_option($option[0]).'" />';
                    }
 
                    if ($option[3]) echo '<br/><span class="setting-description">'.$option[3].'</span>';
 
                    echo '</td></tr>';
                }
                echo '</table></div><br class="clear" />';
            }
            ?>
            <p class="submit" style="text-align:right"><input type="submit" value="<?php _e('Kaydet Bakalım', 'burakisci'); ?>" name="save_burakisci_options" /></p>
        </form>
    </div>
 
    <?php    } ?>