<!DOCTYPE html>
<html <?php language_attributes(); ?>><head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	global $page, $paged;
	wp_title( '|', true, 'right' );
	bloginfo( 'name' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );n
	?></title>
<link rel="shortcut icon" href="<?php if(get_option('favicon')) { 
echo get_option('favicon'); 
}else { 
?><?php if(get_option('favicon')) { 
echo get_option('favicon'); 
}else { 
?><?php bloginfo('template_url'); ?>/images/favicon.ico<?php } ?><?php } ?>">
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url'); ?>/<?php if(get_option('renksecim')) { 
echo get_option('renksecim'); 
}else { 
?>style<?php } ?>.css" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	wp_head();
?>
</head>
<body>
<!-- Üst Çizgi Alanı Başlangıç -->
<div class="ustuncizgisi"></div>
<div class="ustunaltcizgisi"></div>
<!-- Üst Çizgi Alanı Bitiş -->
<!-- Header Başlangıç -->
<div class="ustarka">
<div class="header">
	<!-- Arama Formu Başlangıç -->
	<div class="aramaformu">
    	<!-- Ara -->
   	  <div class="ara">        
        <form method="get" action="<?php bloginfo('url'); ?>">
		<input type="text" name="s" id="s" onfocus="if (this.value == 'Ara ...') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Ara ...';}" />
		<button type="submit">Ara</button>
		</form>

        </div>
    	<!-- Ara Bitiş -->
  </div>
	<!-- Arama Formu Bitiş -->
    <div class="temizlik"></div>  
</div>
<!-- Üst Bölüm Başlangıç -->
<div class="ustbolum">
	<!--Logo Başlangıç-->
    <div class="logo"><a href="<?php bloginfo('url'); ?>"><img src="<?php if(get_option('logo')) { 
echo get_option('logo'); 
}else { 
?><?php bloginfo('template_url'); ?>/images/logo.png<?php } ?>" width="400" height="80" alt="Logo" /></a></div>

    <!--Logo Bitiş-->
    <!--Üst Reklam Alanı Başlangıç-->
    <div class="ustreklam"><a href="<?php if(get_option('ustreklamlink')) { 
echo get_option('ustreklamlink'); 
}else { 
?>#<?php } ?>"><img src="<?php if(get_option('ustreklamresim')) { 
echo get_option('ustreklamresim'); 
}else { 
?><?php bloginfo('template_url'); ?>/images/ustreklam.gif<?php } ?>" width="468" height="60" alt="Üst Reklam" /></a></div>
    <!--Üst Reklam Alanı Bitiş-->
</div>
<!-- Üst Bölüm Bitiş -->
<!-- Üst Menü Başlangıç -->
<div class="ustmenu">
	<div class="anasayfabutonu"><a href="<?php bloginfo('url'); ?>"><img src="<?php bloginfo('template_url'); ?>/images/anasayfa.png" width="24" height="19" alt="Anasayfa" /></a></div>
	<div class="ustmenuicerik"><?php wp_nav_menu( array( 'theme_location' => 'ust-menu' ) ); ?></div>
</div
><div class="temizlik"></div>
</div>
<!-- Üst Menü Bitiş -->
<!-- Header Bitiş -->
<!-- İndex Başlangıç -->
<div class="ortakesim">
	<!-- İndex İçerik Başlangıç -->
   <div class="indexicerik">